NDB_SHOW_TABLES(1)

NAME
ndb_show_tables - display list of NDB tables

SYNOPSIS

ndb_show_tables [options]

DESCRIPTION

ndb_show_tables displays a list of all NDB database objects in the cluster. By default, this includes not only both user-created tables and NDB system tables, but NDB-specific indexes, internal triggers, and NDB Cluster Disk Data objects as well.

The following table includes options that are specific to the NDB Cluster native backup restoration program ndb_show_tables. Additional descriptions follow the table. For options common to most NDB Cluster programs (including ndb_show_tables), see Options Common to NDB Cluster Programs(1).

Table 21.351. Command-line options for the ndb_show_tables program
Format | Description | Added, Deprecated, or Removed
--database=string, -d | Specifies the database in which the table is found | All MySQL 5.7 based releases
--loops=#, -l | Number of times to repeat output | All MySQL 5.7 based releases
--parsable, -p | Return output suitable for MySQL LOAD DATA INFILE statement | All MySQL 5.7 based releases
--show-temp-status | Show table temporary flag | All MySQL 5.7 based releases
--type=#, -t | Limit output to objects of this type | All MySQL 5.7 based releases
--unqualified, -u | Do not qualify table names | All MySQL 5.7 based releases

Usage

    ndb_show_tables [-c connection_string]

    • --database, -d

    Specifies the name of the database in which the tables are found. If this option has not been specified, and no tables are found in the TEST_DB database, ndb_show_tables issues a warning.

    • --loops, -l

    Specifies the number of times the utility should execute. This is 1 when this option is not specified, but if you do use the option, you must supply an integer argument for it.

    • --parsable, -p

    Using this option causes the output to be in a format suitable for use with LOAD DATA INFILE.

    • --show-temp-status

    If specified, this causes temporary tables to be displayed.

    • --type, -t

    Can be used to restrict the output to one type of object, specified by an integer type code as shown here:

        • 1: System table

        • 2: User-created table

        • 3: Unique hash index

    Any other value causes all NDB database objects to be listed (the default).

    • --unqualified, -u

    If specified, this causes unqualified object names to be displayed.

    Note

    Only user-created NDB Cluster tables may be accessed from MySQL; system tables such as SYSTAB_0 are not visible to mysqld. However, you can examine the contents of system tables using NDB API applications such as ndb_select_all (see ndb_select_all(1)).

COPYRIGHT

Copyright © 1997, 2018, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).